Package org.apache.qpid.proton.codec.messaging

# Class ApplicationPropertiesType

java.lang.Object
org.apache.qpid.proton.codec.AbstractDescribedType<ApplicationProperties,Map>
org.apache.qpid.proton.codec.messaging.ApplicationPropertiesType

All Implemented Interfaces:
  `AMQPType<ApplicationProperties>`, `DescribedTypeConstructor<ApplicationProperties>`

public class ApplicationPropertiesType extends AbstractDescribedType<ApplicationProperties,Map> implements DescribedTypeConstructor<ApplicationProperties>

## Constructor Summary

Constructors
Constructor
Description
`ApplicationPropertiesType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`UnsignedLong`
`getDescriptor()`
`Class<ApplicationProperties>`
`getTypeClass()`
`ApplicationProperties`
`newInstance(Object described)`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`protected Map`
`wrap(ApplicationProperties val)`

### Methods inherited from class org.apache.qpid.proton.codec.AbstractDescribedType

`getAllEncodings, getCanonicalEncoding, getDecoder, getEncoder, getEncoding, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApplicationPropertiesType

public ApplicationPropertiesType(EncoderImpl encoder)

## Method Details

### getDescriptor

public UnsignedLong getDescriptor()

Specified by:
  `getDescriptor` in class `AbstractDescribedType<ApplicationProperties,Map>`

### wrap

protected Map wrap(ApplicationProperties val)

Specified by:
  `wrap` in class `AbstractDescribedType<ApplicationProperties,Map>`

### newInstance

public ApplicationProperties newInstance(Object described)

Specified by:
  `newInstance` in interface `DescribedTypeConstructor<ApplicationProperties>`

### getTypeClass

public Class<ApplicationProperties> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<ApplicationProperties>`
Specified by:
  `getTypeClass` in interface `DescribedTypeConstructor<ApplicationProperties>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)